org.apache.activemq.artemis.journal

## Class ActiveMQJournalLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.apache.activemq.artemis.journal.ActiveMQJournalLogger_$logger

- All Implemented Interfaces:
    Serializable, ActiveMQJournalLogger, org.jboss.logging.BasicLogger

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2021-10-11T13:49:35-0500")
      public class ActiveMQJournalLogger_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements ActiveMQJournalLogger, org.jboss.logging.BasicLogger, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.apache.activemq.artemis.journal.ActiveMQJournalLogger

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQJournalLogger_$logger(org.jboss.logging.Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callbackError(String error)`
    `protected String` | `callbackError$str()`
    `void` | `cantOpenFileTimeout(long timeout)`
    `protected String` | `cantOpenFileTimeout$str()`
    `void` | `checkFiles()`
    `protected String` | `checkFiles$str()`
    `void` | `compactingWithNoAddRecord(Long id)`
    `protected String` | `compactingWithNoAddRecord$str()`
    `void` | `compactMergeError(Long id)`
    `protected String` | `compactMergeError$str()`
    `void` | `compactReadError(JournalFile file)`
    `protected String` | `compactReadError$str()`
    `void` | `couldNotCompleteTask(Exception e, String name)`
    `protected String` | `couldNotCompleteTask$str()`
    `void` | `couldNotGetLock(String fileName)`
    `protected String` | `couldNotGetLock$str()`
    `void` | `couldNotRemoveFile(JournalFile file)`
    `protected String` | `couldNotRemoveFile$str()`
    `void` | `couldNotStopCompactor()`
    `protected String` | `couldNotStopCompactor$str()`
    `void` | `couldNotStopJournalAppendExecutor()`
    `protected String` | `couldNotStopJournalAppendExecutor$str()`
    `void` | `couldNotStopJournalExecutor()`
    `protected String` | `couldNotStopJournalExecutor$str()`
    `void` | `currentFile(Long fileID, Long id, Long fileFileID, Boolean b)`
    `protected String` | `currentFile$str()`
    `void` | `deletingFile(JournalFile file)`
    `protected String` | `deletingFile$str()`
    `void` | `deletingOrphanedFile(String fileToDelete)`
    `protected String` | `deletingOrphanedFile$str()`
    `void` | `errorCallingErrorCallback(Throwable e)`
    `protected String` | `errorCallingErrorCallback$str()`
    `void` | `errorClosingFile(String fileToDelete)`
    `void` | `errorClosingFile(Throwable e)`
    `protected String` | `errorClosingFile0$str()`
    `protected String` | `errorClosingFile1$str()`
    `void` | `errorCompacting(Throwable e)`
    `protected String` | `errorCompacting$str()`
    `void` | `errorCompletingCallback(Throwable e)`
    `protected String` | `errorCompletingCallback$str()`
    `void` | `errorDeletingFile(Object e)`
    `protected String` | `errorDeletingFile$str()`
    `void` | `errorOnIOCallback(String errorMessage)`
    `protected String` | `errorOnIOCallback$str()`
    `void` | `errorOpeningFile(Throwable e)`
    `protected String` | `errorOpeningFile$str()`
    `void` | `errorPushingFile(Exception e)`
    `protected String` | `errorPushingFile$str()`
    `void` | `errorReadingFile(Throwable e)`
    `protected String` | `errorReadingFile$str()`
    `void` | `errorReinitializingFile(Throwable e, JournalFile file)`
    `protected String` | `errorReinitializingFile$str()`
    `void` | `errorReplayingCommands(Throwable e)`
    `protected String` | `errorReplayingCommands$str()`
    `void` | `errorRetrievingID(Throwable e, String fileName)`
    `protected String` | `errorRetrievingID$str()`
    `void` | `errorSchedulingCompacting(Throwable e)`
    `protected String` | `errorSchedulingCompacting$str()`
    `void` | `errorStartingPoller(Exception e)`
    `protected String` | `errorStartingPoller$str()`
    `void` | `errorSubmittingWrite(Throwable e)`
    `protected String` | `errorSubmittingWrite$str()`
    `void` | `errorWritingData(Throwable e, String errorMessage, Integer errorCode)`
    `protected String` | `errorWritingData$str()`
    `void` | `failedToAddFile(JournalFile nextOpenedFile)`
    `protected String` | `failedToAddFile$str()`
    `void` | `failedToPerfBlast(Throwable e)`
    `protected String` | `failedToPerfBlast$str()`
    `void` | `fileFinalizedWhileOpen(String fileName)`
    `protected String` | `fileFinalizedWhileOpen$str()`
    `void` | `fileIdOutOfOrder()`
    `protected String` | `fileIdOutOfOrder$str()`
    `void` | `fileTooSmall()`
    `protected String` | `fileTooSmall$str()`
    `void` | `flushRate(Double rate)`
    `protected String` | `flushRate$str()`
    `protected Locale` | `getLoggingLocale()`
    `void` | `ignoringShortFile(String fileName)`
    `protected String` | `ignoringShortFile$str()`
    `void` | `incompatibleNativeLibrary()`
    `protected String` | `incompatibleNativeLibrary$str()`
    `void` | `inconsistencyDuringCompacting(Long transactionID)`
    `protected String` | `inconsistencyDuringCompacting$str()`
    `void` | `inconsistencyDuringCompactingDelete(Long recordID)`
    `protected String` | `inconsistencyDuringCompactingDelete$str()`
    `void` | `initializingJdbcDataSource(String dataSourceClassName, String dataSourceProperties)`
    `protected String` | `initializingJdbcDataSource$str()`
    `void` | `ioError(int errorCode, String errorMessage)`
    `protected String` | `ioError$str()`
    `void` | `movingFileToAttic(String fileName)`
    `protected String` | `movingFileToAttic$str()`
    `void` | `noRecordDuringCompactReplay(Long id)`
    `protected String` | `noRecordDuringCompactReplay$str()`
    `void` | `preparedTXIncomplete(Long id)`
    `protected String` | `preparedTXIncomplete$str()`
    `void` | `runningJournalBlast(Integer numIts)`
    `protected String` | `runningJournalBlast$str()`
    `void` | `seqOutOfOrder()`
    `protected String` | `seqOutOfOrder$str()`
    `void` | `startingThread()`
    `protected String` | `startingThread$str()`
    `void` | `tempFilesLeftOpen()`
    `protected String` | `tempFilesLeftOpen$str()`
    `void` | `timeoutOnPollerShutdown(Exception e)`
    `protected String` | `timeoutOnPollerShutdown$str()`
    `void` | `timeoutOnWriterShutdown(Throwable e)`
    `protected String` | `timeoutOnWriterShutdown$str()`
    `void` | `txMissingElements(Long id)`
    `protected String` | `txMissingElements$str()`
    `void` | `uncomittedTxFound(Long id)`
    `protected String` | `uncomittedTxFound$str()`
    `void` | `writeRate(Double rate, Long l)`
    `protected String` | `writeRate$str()`

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### ActiveMQJournalLogger_$logger

          public ActiveMQJournalLogger_$logger(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### runningJournalBlast

          public final void runningJournalBlast(Integer numIts)

      Specified by:
        `runningJournalBlast` in interface `ActiveMQJournalLogger`

    - #### runningJournalBlast$str

          protected String runningJournalBlast$str()

    - #### startingThread

          public final void startingThread()

      Specified by:
        `startingThread` in interface `ActiveMQJournalLogger`

    - #### startingThread$str

          protected String startingThread$str()

    - #### writeRate

          public final void writeRate(Double rate,
                                      Long l)

      Specified by:
        `writeRate` in interface `ActiveMQJournalLogger`

    - #### writeRate$str

          protected String writeRate$str()

    - #### flushRate

          public final void flushRate(Double rate)

      Specified by:
        `flushRate` in interface `ActiveMQJournalLogger`

    - #### flushRate$str

          protected String flushRate$str()

    - #### checkFiles

          public final void checkFiles()

      Specified by:
        `checkFiles` in interface `ActiveMQJournalLogger`

    - #### checkFiles$str

          protected String checkFiles$str()

    - #### seqOutOfOrder

          public final void seqOutOfOrder()

      Specified by:
        `seqOutOfOrder` in interface `ActiveMQJournalLogger`

    - #### seqOutOfOrder$str

          protected String seqOutOfOrder$str()

    - #### currentFile

          public final void currentFile(Long fileID,
                                        Long id,
                                        Long fileFileID,
                                        Boolean b)

      Specified by:
        `currentFile` in interface `ActiveMQJournalLogger`

    - #### currentFile$str

          protected String currentFile$str()

    - #### fileIdOutOfOrder

          public final void fileIdOutOfOrder()

      Specified by:
        `fileIdOutOfOrder` in interface `ActiveMQJournalLogger`

    - #### fileIdOutOfOrder$str

          protected String fileIdOutOfOrder$str()

    - #### fileTooSmall

          public final void fileTooSmall()

      Specified by:
        `fileTooSmall` in interface `ActiveMQJournalLogger`

    - #### fileTooSmall$str

          protected String fileTooSmall$str()

    - #### initializingJdbcDataSource

          public final void initializingJdbcDataSource(String dataSourceClassName,
                                                       String dataSourceProperties)

      Specified by:
        `initializingJdbcDataSource` in interface `ActiveMQJournalLogger`

    - #### initializingJdbcDataSource$str

          protected String initializingJdbcDataSource$str()

    - #### incompatibleNativeLibrary

          public final void incompatibleNativeLibrary()

      Specified by:
        `incompatibleNativeLibrary` in interface `ActiveMQJournalLogger`

    - #### incompatibleNativeLibrary$str

          protected String incompatibleNativeLibrary$str()

    - #### couldNotGetLock

          public final void couldNotGetLock(String fileName)

      Specified by:
        `couldNotGetLock` in interface `ActiveMQJournalLogger`

    - #### couldNotGetLock$str

          protected String couldNotGetLock$str()

    - #### fileFinalizedWhileOpen

          public final void fileFinalizedWhileOpen(String fileName)

      Specified by:
        `fileFinalizedWhileOpen` in interface `ActiveMQJournalLogger`

    - #### fileFinalizedWhileOpen$str

          protected String fileFinalizedWhileOpen$str()

    - #### callbackError

          public final void callbackError(String error)

      Specified by:
        `callbackError` in interface `ActiveMQJournalLogger`

    - #### callbackError$str

          protected String callbackError$str()

    - #### inconsistencyDuringCompacting

          public final void inconsistencyDuringCompacting(Long transactionID)

      Specified by:
        `inconsistencyDuringCompacting` in interface `ActiveMQJournalLogger`

    - #### inconsistencyDuringCompacting$str

          protected String inconsistencyDuringCompacting$str()

    - #### inconsistencyDuringCompactingDelete

          public final void inconsistencyDuringCompactingDelete(Long recordID)

      Specified by:
        `inconsistencyDuringCompactingDelete` in interface `ActiveMQJournalLogger`

    - #### inconsistencyDuringCompactingDelete$str

          protected String inconsistencyDuringCompactingDelete$str()

    - #### compactingWithNoAddRecord

          public final void compactingWithNoAddRecord(Long id)

      Specified by:
        `compactingWithNoAddRecord` in interface `ActiveMQJournalLogger`

    - #### compactingWithNoAddRecord$str

          protected String compactingWithNoAddRecord$str()

    - #### noRecordDuringCompactReplay

          public final void noRecordDuringCompactReplay(Long id)

      Specified by:
        `noRecordDuringCompactReplay` in interface `ActiveMQJournalLogger`

    - #### noRecordDuringCompactReplay$str

          protected String noRecordDuringCompactReplay$str()

    - #### couldNotRemoveFile

          public final void couldNotRemoveFile(JournalFile file)

      Specified by:
        `couldNotRemoveFile` in interface `ActiveMQJournalLogger`

    - #### couldNotRemoveFile$str

          protected String couldNotRemoveFile$str()

    - #### deletingFile

          public final void deletingFile(JournalFile file)

      Specified by:
        `deletingFile` in interface `ActiveMQJournalLogger`

    - #### deletingFile$str

          protected String deletingFile$str()

    - #### failedToAddFile

          public final void failedToAddFile(JournalFile nextOpenedFile)

      Specified by:
        `failedToAddFile` in interface `ActiveMQJournalLogger`

    - #### failedToAddFile$str

          protected String failedToAddFile$str()

    - #### compactReadError

          public final void compactReadError(JournalFile file)

      Specified by:
        `compactReadError` in interface `ActiveMQJournalLogger`

    - #### compactReadError$str

          protected String compactReadError$str()

    - #### compactMergeError

          public final void compactMergeError(Long id)

      Specified by:
        `compactMergeError` in interface `ActiveMQJournalLogger`

    - #### compactMergeError$str

          protected String compactMergeError$str()

    - #### preparedTXIncomplete

          public final void preparedTXIncomplete(Long id)

      Specified by:
        `preparedTXIncomplete` in interface `ActiveMQJournalLogger`

    - #### preparedTXIncomplete$str

          protected String preparedTXIncomplete$str()

    - #### txMissingElements

          public final void txMissingElements(Long id)

      Specified by:
        `txMissingElements` in interface `ActiveMQJournalLogger`

    - #### txMissingElements$str

          protected String txMissingElements$str()

    - #### uncomittedTxFound

          public final void uncomittedTxFound(Long id)

      Specified by:
        `uncomittedTxFound` in interface `ActiveMQJournalLogger`

    - #### uncomittedTxFound$str

          protected String uncomittedTxFound$str()

    - #### couldNotStopCompactor

          public final void couldNotStopCompactor()

      Specified by:
        `couldNotStopCompactor` in interface `ActiveMQJournalLogger`

    - #### couldNotStopCompactor$str

          protected String couldNotStopCompactor$str()

    - #### couldNotStopJournalExecutor

          public final void couldNotStopJournalExecutor()

      Specified by:
        `couldNotStopJournalExecutor` in interface `ActiveMQJournalLogger`

    - #### couldNotStopJournalExecutor$str

          protected String couldNotStopJournalExecutor$str()

    - #### tempFilesLeftOpen

          public final void tempFilesLeftOpen()

      Specified by:
        `tempFilesLeftOpen` in interface `ActiveMQJournalLogger`

    - #### tempFilesLeftOpen$str

          protected String tempFilesLeftOpen$str()

    - #### deletingOrphanedFile

          public final void deletingOrphanedFile(String fileToDelete)

      Specified by:
        `deletingOrphanedFile` in interface `ActiveMQJournalLogger`

    - #### deletingOrphanedFile$str

          protected String deletingOrphanedFile$str()

    - #### errorClosingFile

          public final void errorClosingFile(String fileToDelete)

      Specified by:
        `errorClosingFile` in interface `ActiveMQJournalLogger`

    - #### errorClosingFile1$str

          protected String errorClosingFile1$str()

    - #### errorOnIOCallback

          public final void errorOnIOCallback(String errorMessage)

      Specified by:
        `errorOnIOCallback` in interface `ActiveMQJournalLogger`

    - #### errorOnIOCallback$str

          protected String errorOnIOCallback$str()

    - #### timeoutOnPollerShutdown

          public final void timeoutOnPollerShutdown(Exception e)

      Specified by:
        `timeoutOnPollerShutdown` in interface `ActiveMQJournalLogger`

    - #### timeoutOnPollerShutdown$str

          protected String timeoutOnPollerShutdown$str()

    - #### couldNotCompleteTask

          public final void couldNotCompleteTask(Exception e,
                                                 String name)

      Specified by:
        `couldNotCompleteTask` in interface `ActiveMQJournalLogger`

    - #### couldNotCompleteTask$str

          protected String couldNotCompleteTask$str()

    - #### errorCompletingCallback

          public final void errorCompletingCallback(Throwable e)

      Specified by:
        `errorCompletingCallback` in interface `ActiveMQJournalLogger`

    - #### errorCompletingCallback$str

          protected String errorCompletingCallback$str()

    - #### errorCallingErrorCallback

          public final void errorCallingErrorCallback(Throwable e)

      Specified by:
        `errorCallingErrorCallback` in interface `ActiveMQJournalLogger`

    - #### errorCallingErrorCallback$str

          protected String errorCallingErrorCallback$str()

    - #### timeoutOnWriterShutdown

          public final void timeoutOnWriterShutdown(Throwable e)

      Specified by:
        `timeoutOnWriterShutdown` in interface `ActiveMQJournalLogger`

    - #### timeoutOnWriterShutdown$str

          protected String timeoutOnWriterShutdown$str()

    - #### errorWritingData

          public final void errorWritingData(Throwable e,
                                             String errorMessage,
                                             Integer errorCode)

      Specified by:
        `errorWritingData` in interface `ActiveMQJournalLogger`

    - #### errorWritingData$str

          protected String errorWritingData$str()

    - #### errorReplayingCommands

          public final void errorReplayingCommands(Throwable e)

      Specified by:
        `errorReplayingCommands` in interface `ActiveMQJournalLogger`

    - #### errorReplayingCommands$str

          protected String errorReplayingCommands$str()

    - #### errorClosingFile

          public final void errorClosingFile(Throwable e)

      Specified by:
        `errorClosingFile` in interface `ActiveMQJournalLogger`

    - #### errorClosingFile0$str

          protected String errorClosingFile0$str()

    - #### errorOpeningFile

          public final void errorOpeningFile(Throwable e)

      Specified by:
        `errorOpeningFile` in interface `ActiveMQJournalLogger`

    - #### errorOpeningFile$str

          protected String errorOpeningFile$str()

    - #### errorRetrievingID

          public final void errorRetrievingID(Throwable e,
                                              String fileName)

      Specified by:
        `errorRetrievingID` in interface `ActiveMQJournalLogger`

    - #### errorRetrievingID$str

          protected String errorRetrievingID$str()

    - #### errorReadingFile

          public final void errorReadingFile(Throwable e)

      Specified by:
        `errorReadingFile` in interface `ActiveMQJournalLogger`

    - #### errorReadingFile$str

          protected String errorReadingFile$str()

    - #### errorReinitializingFile

          public final void errorReinitializingFile(Throwable e,
                                                    JournalFile file)

      Specified by:
        `errorReinitializingFile` in interface `ActiveMQJournalLogger`

    - #### errorReinitializingFile$str

          protected String errorReinitializingFile$str()

    - #### errorSubmittingWrite

          public final void errorSubmittingWrite(Throwable e)

      Specified by:
        `errorSubmittingWrite` in interface `ActiveMQJournalLogger`

    - #### errorSubmittingWrite$str

          protected String errorSubmittingWrite$str()

    - #### couldNotStopJournalAppendExecutor

          public final void couldNotStopJournalAppendExecutor()

      Specified by:
        `couldNotStopJournalAppendExecutor` in interface `ActiveMQJournalLogger`

    - #### couldNotStopJournalAppendExecutor$str

          protected String couldNotStopJournalAppendExecutor$str()

    - #### errorDeletingFile

          public final void errorDeletingFile(Object e)

      Specified by:
        `errorDeletingFile` in interface `ActiveMQJournalLogger`

    - #### errorDeletingFile$str

          protected String errorDeletingFile$str()

    - #### errorStartingPoller

          public final void errorStartingPoller(Exception e)

      Specified by:
        `errorStartingPoller` in interface `ActiveMQJournalLogger`

    - #### errorStartingPoller$str

          protected String errorStartingPoller$str()

    - #### errorPushingFile

          public final void errorPushingFile(Exception e)

      Specified by:
        `errorPushingFile` in interface `ActiveMQJournalLogger`

    - #### errorPushingFile$str

          protected String errorPushingFile$str()

    - #### errorCompacting

          public final void errorCompacting(Throwable e)

      Specified by:
        `errorCompacting` in interface `ActiveMQJournalLogger`

    - #### errorCompacting$str

          protected String errorCompacting$str()

    - #### errorSchedulingCompacting

          public final void errorSchedulingCompacting(Throwable e)

      Specified by:
        `errorSchedulingCompacting` in interface `ActiveMQJournalLogger`

    - #### errorSchedulingCompacting$str

          protected String errorSchedulingCompacting$str()

    - #### failedToPerfBlast

          public final void failedToPerfBlast(Throwable e)

      Specified by:
        `failedToPerfBlast` in interface `ActiveMQJournalLogger`

    - #### failedToPerfBlast$str

          protected String failedToPerfBlast$str()

    - #### ioError

          public final void ioError(int errorCode,
                                    String errorMessage)

      Specified by:
        `ioError` in interface `ActiveMQJournalLogger`

    - #### ioError$str

          protected String ioError$str()

    - #### ignoringShortFile

          public final void ignoringShortFile(String fileName)

      Specified by:
        `ignoringShortFile` in interface `ActiveMQJournalLogger`

    - #### ignoringShortFile$str

          protected String ignoringShortFile$str()

    - #### movingFileToAttic

          public final void movingFileToAttic(String fileName)

      Specified by:
        `movingFileToAttic` in interface `ActiveMQJournalLogger`

    - #### movingFileToAttic$str

          protected String movingFileToAttic$str()

    - #### cantOpenFileTimeout

          public final void cantOpenFileTimeout(long timeout)

      Specified by:
        `cantOpenFileTimeout` in interface `ActiveMQJournalLogger`

    - #### cantOpenFileTimeout$str

          protected String cantOpenFileTimeout$str()

Copyright © 2021 The Apache Software Foundation. All rights reserved.